StartupEvents.registry('item', event => {

    event.create('diamond_alloy_blend')
        .displayName('Diamond Alloy Blend')
        .maxStackSize(64)
        .texture('fantasia:item/diamond_alloy_blend');

    event.create('diamond_alloy')
        .displayName('Crude Diamond Alloy')
        .maxStackSize(64)
        .texture('fantasia:item/diamond_alloy');

    event.create('heated_diamond_alloy')
        .displayName('Heated Diamond Alloy')
        .maxStackSize(64)
        .texture('fantasia:item/heated_diamond_alloy');

    event.create('diamond_ingot')
        .displayName('Diamond Ingot')
        .maxStackSize(64)
        .texture('fantasia:item/diamond_ingot');

    event.create('heated_diamond_ingot')
        .displayName('Heated Diamond Ingot')
        .maxStackSize(64)
        .texture('fantasia:item/heated_diamond_ingot');

    event.create('diamond_plate')
        .displayName('Diamond Plate')
        .maxStackSize(64)
        .texture('fantasia:item/diamond_plate');

    event.create('heated_diamond_plate')
        .displayName('Heated Diamond Plate')
        .maxStackSize(64)
        .texture('fantasia:item/heated_diamond_plate');

    event.create('diamond_sword_blade')
        .maxStackSize(64)
        .displayName("Diamond Sword Blade")
        .texture('fantasia:item/tools/diamond/diamond_sword_blade');

    event.create('diamond_pickaxe_head')
        .maxStackSize(64)
        .displayName("Diamond Pickaxe Head")
        .texture('fantasia:item/tools/diamond/diamond_pickaxe_head');

    event.create('diamond_axe_head')
        .maxStackSize(64)
        .displayName("Diamond Axe Head")
        .texture('fantasia:item/tools/diamond/diamond_axe_head');

    event.create('diamond_shovel_head')
        .maxStackSize(64)
        .displayName("Diamond Shovel Head")
        .texture('fantasia:item/tools/diamond/diamond_shovel_head');
    
    event.create('diamond_hoe_head')
        .maxStackSize(64)
        .displayName("Diamond Hoe Head")
        .texture('fantasia:item/tools/diamond/diamond_hoe_head');
});